%define version 1.3
%define release 8mdk

Summary:	Stack Overflow protection
Name:		libsafe
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
Copyright:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/libsafe
ExcludeArch: alpha, ppc, sparc, sparc64

%description
The libsafe library is designed to overwrite dangerous
library C function like strcpy / snprintf and perform
bound checking on the destination buffer address in order
to detect an eventual Stack Overflow attempt.

%prep
%setup 

%build
# Do not use the Mandrake compilation flags,
# this library must not be compiled without any optimizations flags...
make

%install
install -d $RPM_BUILD_ROOT/lib
install -d $RPM_BUILD_ROOT/%{_mandir}/man8

install -m 644 src/libsafe.so.1.3 $RPM_BUILD_ROOT/lib
install -m 644 doc/libsafe.8 $RPM_BUILD_ROOT%{_mandir}/man8


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/{*.html,*.ps} exploits/{*.c,int.sh,README}

/lib
%{_mandir}/*/*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.3-8mdk
- ExcludeArch: sparc, sparc64 
- use %{_mandir} %{_docdir}

* Fri Jul 14 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3-7mdk
- ExludeArch: alpha (Geoffrey Lee <snailtalk@linux-mandrake.com>)

* Wed Jul 12 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3-6mdk
- ExcludeArch: ppc (thanks to Yoann Vandoorselaere)

* Wed May 17 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.3-5mdk
- libsafe in /lib instead of /usr/lib .

* Tue Apr 25 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.3-4mdk
- fix a problem with getwd replacement

* Fri Apr 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.3-3mdk
- util.c : __builtin_frame_address take a depth of 2.
- util.c : (fp <= stack_start).

* Fri Mar 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.3-2mdk
- Fix group
- First libsafe package.
